From d0aa3c3fbecb9a9da84e803fa6c8f07385ff85bb Mon Sep 17 00:00:00 2001
From: wk3368 <wk3368@163.com>
Date: Thu, 6 Oct 2022 23:36:41 +0800
Subject: [PATCH] Bump version to 2.2.0

---
 CHANGELOG.md | 5 +++++
 package.json | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

diff --git a/CHANGELOG.md b/CHANGELOG.md
index 7660ab2..718927a 100644
--- a/CHANGELOG.md
+++ b/CHANGELOG.md
@@ -5,6 +5,11 @@ All notable changes to this project will be documented in this file, as of versi
 The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
 and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).
 
+## [2.2.0] - 2022-10-06
+
+- Support Aptos which address length is 64, while starcoin address length is 32
+- Fix: Replace halley chainId from 3 to 253
+
 ## [2.1.6] - 2022-06-07
 
 - Fix: TypeError: Buffer.from(...).readBigUInt64LE is not a function in browsers, [https://github.com/starcoinorg/starcoin.js/issues/54](https://github.com/starcoinorg/starcoin.js/issues/54)
diff --git a/package.json b/package.json
index dd30f79..fbb6716 100644
--- a/package.json
+++ b/package.json
@@ -1,6 +1,6 @@
 {
   "name": "@starcoin/starcoin",
-  "version": "2.1.6",
+  "version": "2.2.0",
   "description": "starcoin js sdk",
   "author": "lerencao, wk3368, tarvos21",
   "license": "Apache-2.0",
